Subject: [Guix Info][7.1.4] Should remind user to add a swap partition

From: Eus <[email-masked]>
Date: Fri, 01 Jul 2016 12:27:20 +0700

Hi guys!

If I may suggest, in Guix info that is displayed at console Alt+F2, a user should be reminded to add a swap partition.

I forgot to do that first time, and so my "guix system --fallback init /mnt/etc/config.scm /mnt" got killed by OOM killer after about 10 hours.

Even if a user is not building from source, a swap partition should be handy in case the RAM is limited and/or in case hibernating is later desired.

BTW, I am capable of making patches. So, if you'd like me to make a patch, just tell me the source tree to make a diff against.

Thank you.

--
Best regards,
Eus (FSF member #4445)

In this digital era, where computing technology is pervasive, your freedom depends on the software controlling those computing devices.

Join free software movement today! It is free as in freedom, not as in free beer!

Join: http://www.fsf.org/jf?referrer=4445